Loading...
Searching...
No Matches
sdp_session_s Struct Reference

Session description. More...

`#include <sdp.h>`

Collaboration diagram for sdp_session_s:
[legend]

## Data Fields

int | sdp_size
| sizeof sdp_session_t
sdp_session_t * | sdp_next
| Next description in list.
sdp_version_t | sdp_version [1]
| SDP version.
sdp_origin_t * | sdp_origin
| Owner/creator and session ID.
sdp_text_t * | sdp_subject
| Session name.
sdp_text_t * | sdp_information
| Session information.
sdp_text_t * | sdp_uri
| URi of description.
sdp_list_t * | sdp_emails
| E-mail address(s).
sdp_list_t * | sdp_phones
| Phone number(s).
sdp_connection_t * | sdp_connection
| Group (or member) address.
sdp_bandwidth_t * | sdp_bandwidths
| Session bandwidth.
sdp_time_t * | sdp_time
| Session active time.
sdp_key_t * | sdp_key
| Session key.
sdp_attribute_t * | sdp_attributes
| Session attributes.
sdp_text_t * | sdp_charset
| SDP charset (default is UTF8).
sdp_media_t * | sdp_media
| Media descriptors.

## Detailed Description

Session description.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.